package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Qualification service. Represents a row in the &quot;Profile_Qualification&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.QualificationModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.QualificationImpl}.
 * </p>
 *
 * @author Humance
 * @see Qualification
 * @see de.humance.eco.profile.model.impl.QualificationImpl
 * @see de.humance.eco.profile.model.impl.QualificationModelImpl
 * @generated
 */
public interface QualificationModel extends BaseModel<Qualification> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a qualification model instance should use the {@link Qualification} interface instead.
     */

    /**
     * Returns the primary key of this qualification.
     *
     * @return the primary key of this qualification
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this qualification.
     *
     * @param primaryKey the primary key of this qualification
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the qualification ID of this qualification.
     *
     * @return the qualification ID of this qualification
     */
    public long getQualificationId();

    /**
     * Sets the qualification ID of this qualification.
     *
     * @param qualificationId the qualification ID of this qualification
     */
    public void setQualificationId(long qualificationId);

    /**
     * Returns the creator ID of this qualification.
     *
     * @return the creator ID of this qualification
     */
    public long getCreatorId();

    /**
     * Sets the creator ID of this qualification.
     *
     * @param creatorId the creator ID of this qualification
     */
    public void setCreatorId(long creatorId);

    /**
     * Returns the creator name of this qualification.
     *
     * @return the creator name of this qualification
     */
    @AutoEscape
    public String getCreatorName();

    /**
     * Sets the creator name of this qualification.
     *
     * @param creatorName the creator name of this qualification
     */
    public void setCreatorName(String creatorName);

    /**
     * Returns the create date of this qualification.
     *
     * @return the create date of this qualification
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this qualification.
     *
     * @param createDate the create date of this qualification
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modifier ID of this qualification.
     *
     * @return the modifier ID of this qualification
     */
    public long getModifierId();

    /**
     * Sets the modifier ID of this qualification.
     *
     * @param modifierId the modifier ID of this qualification
     */
    public void setModifierId(long modifierId);

    /**
     * Returns the modifier name of this qualification.
     *
     * @return the modifier name of this qualification
     */
    @AutoEscape
    public String getModifierName();

    /**
     * Sets the modifier name of this qualification.
     *
     * @param modifierName the modifier name of this qualification
     */
    public void setModifierName(String modifierName);

    /**
     * Returns the modified date of this qualification.
     *
     * @return the modified date of this qualification
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this qualification.
     *
     * @param modifiedDate the modified date of this qualification
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the owner ID of this qualification.
     *
     * @return the owner ID of this qualification
     */
    public long getOwnerId();

    /**
     * Sets the owner ID of this qualification.
     *
     * @param ownerId the owner ID of this qualification
     */
    public void setOwnerId(long ownerId);

    /**
     * Returns the type ID of this qualification.
     *
     * @return the type ID of this qualification
     */
    public long getTypeId();

    /**
     * Sets the type ID of this qualification.
     *
     * @param typeId the type ID of this qualification
     */
    public void setTypeId(long typeId);

    /**
     * Returns the name of this qualification.
     *
     * @return the name of this qualification
     */
    @AutoEscape
    public String getName();

    /**
     * Sets the name of this qualification.
     *
     * @param name the name of this qualification
     */
    public void setName(String name);

    /**
     * Returns the cert number of this qualification.
     *
     * @return the cert number of this qualification
     */
    @AutoEscape
    public String getCertNumber();

    /**
     * Sets the cert number of this qualification.
     *
     * @param certNumber the cert number of this qualification
     */
    public void setCertNumber(String certNumber);

    /**
     * Returns the delivery date of this qualification.
     *
     * @return the delivery date of this qualification
     */
    public Date getDeliveryDate();

    /**
     * Sets the delivery date of this qualification.
     *
     * @param deliveryDate the delivery date of this qualification
     */
    public void setDeliveryDate(Date deliveryDate);

    /**
     * Returns the expiration date of this qualification.
     *
     * @return the expiration date of this qualification
     */
    public Date getExpirationDate();

    /**
     * Sets the expiration date of this qualification.
     *
     * @param expirationDate the expiration date of this qualification
     */
    public void setExpirationDate(Date expirationDate);

    /**
     * Returns the issuing country of this qualification.
     *
     * @return the issuing country of this qualification
     */
    @AutoEscape
    public String getIssuingCountry();

    /**
     * Sets the issuing country of this qualification.
     *
     * @param issuingCountry the issuing country of this qualification
     */
    public void setIssuingCountry(String issuingCountry);

    /**
     * Returns the issuing institution of this qualification.
     *
     * @return the issuing institution of this qualification
     */
    @AutoEscape
    public String getIssuingInstitution();

    /**
     * Sets the issuing institution of this qualification.
     *
     * @param issuingInstitution the issuing institution of this qualification
     */
    public void setIssuingInstitution(String issuingInstitution);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(Qualification qualification);

    @Override
    public int hashCode();

    @Override
    public CacheModel<Qualification> toCacheModel();

    @Override
    public Qualification toEscapedModel();

    @Override
    public Qualification toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
